class MigrateCourseStudents < ActiveRecord::Migration
  def change
    # 原课程的学生数据迁移成新模式
    StudentsForCourse.all.each do |student|
        project = Project.find_by_id(student.course_id)
        if project && project.course_extra
          student.course_id = project.course_extra.id
          student.save(:validate => false)
        end
    end
  end

end
